## yorick-yeti 6.1.6

=== Makefile ===
#
# Makefile -
#
#	Top-level Makefile for Yeti package and plugins.
#

# These values filled in by: yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

# These values filled in by: ./configure [...]
YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
YETI_VERSION_MAJOR = 6
YETI_VERSION_MINOR = 1
YETI_VERSION_MICRO = 6
YORICK_VERSION_MAJOR = 2
YORICK_VERSION_MINOR = 1
YORICK_VERSION_MICRO = 2

TMPDIR=/tmp

default: all

all: check
	@for dir in $(YETI_PKGS); do \
	  (cd $$dir; make); \
	done

check:
	@if test -z "$(YETI_PKGS)" -o ! -r config.h ; then \
	  echo "***************************************************************"; \
	  echo "  Before building Yeti, you must run the configuration script."; \
	  echo "  This is achieved by a command like:"; \
	  echo "      yorick -batch ./config.i [...]"; \
	  echo ""; \
	  echo "  See README file for detailled instructions.  For a summary"; \
	  echo "  of configuration options, you can also try:"; \
	  echo "      yorick -batch ./config.i --help"; \
	  echo "***************************************************************"; \
	  false; \
	else \
	  true; \
	fi

install: check
	@for dir in $(YETI_PKGS); do \
	  (cd $$dir; make $@); \
	done
	@for src in AUTHORS COPYING NEWS README VERSION; do \
	  dst=$(Y_EXE_SITE)/doc/Yeti-$$src; \
	  cp $$src $$dst; \
	  chmod 644 $$dst; \
	done

clean: check
	rm -f *~ *.tmp
	@for dir in $(YETI_PKGS); do \
	  (cd $$dir; make $@); \
	done

distrib:
	@version=`cat VERSION`; \
	target=yeti-$${version}; \
	tmpdir=$(TMPDIR)/$${target}; \
	archive=$${tmpdir}.tar.gz; \
	if test -d $${tmpdir}; then \
	  echo "directory $${tmpdir} already exists"; \
	  false; \
	else \
	  olddir=`pwd`; \
	  rm -rf $${tmpdir}; \
	  cp -a . $${tmpdir}; \
	  cd $${tmpdir}; \
	  test -r config.h || touch config.h; \
	  make clean YETI_PKGS="yeti yeti_fftw yeti_regex yeti_tiff"; \
	  rm -f config.h; \
	  rm -rf devel */RCS; \
	  cd ..; \
	  tar cf - $${target} | gzip -9 > $${archive}; \
	  cd $${olddir}; \
	  rm -rf $${tmpdir}; \
	  echo "archive is: $${archive}"; \
	fi

=== yeti/Makefile ===
#
# Makefile -
#
#	Makefile for Yeti main plugin.
#
#------------------------------------------------------------------------------
#	Copyright (C) 2006, Eric Thibaut.
#
#	This file is part of Yeti.
#
#	Yeti is free software; you can redistribute it and/or modify it
#	under the terms of the GNU General Public License version 2 as
#	published by the Free Software Foundation.
#
#	Yeti is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#	General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with Yeti (file "COPYING" in the top source  directory); if
#	not, write to the Free Software Foundation, Inc., 51 Franklin St,
#	Fifth Floor, Boston, MA 02110-1301 USA
#
#------------------------------------------------------------------------------
#
# History:
#	$Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
#	$Log: Makefile,v $
#	Revision 1.1  2006/07/19 14:58:50  eric
#	Initial revision
#
#------------------------------------------------------------------------------

# these values filled in by: yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

#----------------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

#------------------------------------------------------ macros for this package

PKG_NAME=yeti
PKG_I=yeti.i

OBJS = yeti_convolve.o \
       yeti_cost.o \
       yeti_hash.o \
       yeti_sort.o \
       yeti_math.o \
       yeti_misc.o \
       yeti_morph.o \
       yeti_new.o \
       yeti_sparse.o \
       yeti_utils.o

# change to give the executable a name other than yorick
PKG_EXENAME = yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS =
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I..
PKG_LDFLAGS =

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=$(PKG_NAME)$(PLUG_SFX) $(PKG_NAME).dll $(PKG_NAME).so

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=yeti_yhdf.i

#-------------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

#------------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_convolve.o: yeti.h
#yeti_cost.o:
yeti_eigen.o: yeti_eigen.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
yeti_hash.o: yeti.h ../config.h
yeti_heapsort.o: yeti.h ../config.h
yeti_math.o: yeti.h ../config.h
yeti_misc.o: yeti.h ../config.h
yeti_morph.o: yeti.h ../config.h
yeti_utils.o: yeti.h ../config.h
#yeti_new.o:

#-------------------------------------------------------------- end of Makefile

=== yeti_gsl/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_gsl
PKG_I=yeti_gsl.i

OBJS=yeti_gsl.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I/usr/local/include/gsl -DHAVE_GSL=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=cmp.tmp1 cmp.tmp2

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

cmp-sf:
	grep 'FN.gsl_sf' <yeti_gsl.c \
	  | sed 's/FN//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | sort -u >cmp.tmp1
	grep '^[ 	]*extern[ 	]' <yeti_gsl.i \
	  | sed 's/extern//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | grep 'gsl_sf_' \
	  | sort -u >cmp.tmp2
	diff -B cmp.tmp1 cmp.tmp2
# -------------------------------------------------------- end of Makefile

## yorick-yeti 6.2.1

=== Makefile ===
--- 
+++ 
@@ -14,18 +14,20 @@
 # These values filled in by: ./configure [...]
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
-YETI_VERSION_MINOR = 1
-YETI_VERSION_MICRO = 6
+YETI_VERSION_MINOR = 2
+YETI_VERSION_MICRO = 1
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
-YORICK_VERSION_MICRO = 2
+YORICK_VERSION_MICRO = 4
+
+SUBDIRS = $(YETI_PKGS) doc
 
 TMPDIR=/tmp
 
 default: all
 
 all: check
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make); \
 	done
 
@@ -46,41 +48,44 @@
 	fi
 
 install: check
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make $@); \
 	done
-	@for src in AUTHORS COPYING NEWS README VERSION; do \
-	  dst=$(Y_EXE_SITE)/doc/Yeti-$$src; \
-	  cp $$src $$dst; \
-	  chmod 644 $$dst; \
-	done
+#	@for src in AUTHORS COPYING NEWS README VERSION; do \
+#	  dst=$(Y_EXE_SITE)/doc/$$src.yeti; \
+#	  cp -pf $$src $$dst; \
+#	  chmod 644 $$dst; \
+#	done
 
 clean: check
 	rm -f *~ *.tmp
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make $@); \
 	done
 
+distclean: clean
+	rm -f config.h
+
 distrib:
 	@version=`cat VERSION`; \
-	target=yeti-$${version}; \
-	tmpdir=$(TMPDIR)/$${target}; \
-	archive=$${tmpdir}.tar.gz; \
-	if test -d $${tmpdir}; then \
+	target="yeti-$${version}"; \
+	tmpdir="$(TMPDIR)/$${target}"; \
+	archive="$${tmpdir}.tar.bz2"; \
+	if test -d "$${tmpdir}"; then \
 	  echo "directory $${tmpdir} already exists"; \
 	  false; \
 	else \
 	  olddir=`pwd`; \
-	  rm -rf $${tmpdir}; \
-	  cp -a . $${tmpdir}; \
-	  cd $${tmpdir}; \
+	  rm -rf "$${tmpdir}"; \
+	  cp -a . "$${tmpdir}"; \
+	  cd "$${tmpdir}"; \
 	  test -r config.h || touch config.h; \
 	  make clean YETI_PKGS="yeti yeti_fftw yeti_regex yeti_tiff"; \
 	  rm -f config.h; \
 	  rm -rf devel */RCS; \
-	  cd ..; \
-	  tar cf - $${target} | gzip -9 > $${archive}; \
-	  cd $${olddir}; \
-	  rm -rf $${tmpdir}; \
+	  cd "$(TMPDIR)"; \
+	  tar cf - "$${target}" | bzip2 -9 > "$${archive}"; \
+	  cd "$${olddir}"; \
+	  rm -rf "$${tmpdir}"; \
 	  echo "archive is: $${archive}"; \
 	fi

=== yeti/Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
        yeti_morph.o \
        yeti_new.o \
        yeti_sparse.o \
+       yeti_symlink.o \
        yeti_utils.o
 
 # change to give the executable a name other than yorick

=== yeti_gsl/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
+PKG_DEPLIBS = -lgsl -lgslcblas
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS = -I/usr/local/include/gsl -DHAVE_GSL=1
+PKG_CFLAGS =  -DHAVE_GSL=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME

=== yeti_regex/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_regex
PKG_I=yeti_regex.i

OBJS=yeti_regex.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = 
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = 
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_regex.o: yeti_regex.c

# -------------------------------------------------------- end of Makefile

## yorick-yeti 6.2.2

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
 YETI_VERSION_MINOR = 2
-YETI_VERSION_MICRO = 1
+YETI_VERSION_MICRO = 2
+YETI_VERSION_SUFFIX = "pre1"
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
 YORICK_VERSION_MICRO = 4
+YORICK_VERSION_SUFFIX = "x"
 
 SUBDIRS = $(YETI_PKGS) doc
 
@@ -64,7 +66,7 @@
 	done
 
 distclean: clean
-	rm -f config.h
+	rm -f config.h Makefile
 
 distrib:
 	@version=`cat VERSION`; \

=== doc/Makefile ===
.SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
#------------------------------------------------------------------------------
# these values filled in by: yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

DOCDIR=$(Y_EXE_SITE)/doc

# command and rules to produce documentation
PREFIX = $(HOME)/sw
BINDIR = $(PREFIX)/bin
ASCIIDOC = $(BINDIR)/asciidoc
A2X = $(BINDIR)/a2x
DOCTYPE = article

default: doc

clean:
	rm -f *~ core

doc: make_doc.i
	$(Y_EXE) -batch ./make_doc.i

install: doc
	for file in *.doc; do \
	  cp -pf $$file $(DOCDIR)/$$file; \
	  chmod 644 $(DOCDIR)/$$file; \
	done
	cp -pf ../README $(DOCDIR)/README.yeti; \
	chmod 644 $(DOCDIR)/README.yeti

html: yeti.html README



../README: yeti.text
	rm -f $@
	cp -a $< $@
	chmod 444 $@

%.html: %.txt Makefile
	$(ASCIIDOC) -b xhtml11 -a icons -o $@ $<

%.text: %.txt Makefile
	$(A2X) -d $(DOCTYPE) -f text --icons --icons-dir=./pics $<


#------------------------------------------------------------------------------

=== yeti/Makefile ===
--- 
+++ 
@@ -58,6 +58,7 @@
        yeti_misc.o \
        yeti_morph.o \
        yeti_new.o \
+       yeti_rgl.o \
        yeti_sparse.o \
        yeti_symlink.o \
        yeti_utils.o
@@ -121,6 +122,8 @@
 yeti_math.o: yeti.h ../config.h
 yeti_misc.o: yeti.h ../config.h
 yeti_morph.o: yeti.h ../config.h
+yeti_rgl.o: yeti_rgl.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
 yeti_utils.o: yeti.h ../config.h
 #yeti_new.o:

=== yeti_fftw/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_fftw
PKG_I=yeti_fftw.i

OBJS=yeti_fftw.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -L/usr/local/lib -lrfftw -lfftw
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I/usr/local/include -DHAVE_FFTW=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== yeti_gsl/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -lgsl -lgslcblas
+PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS =  -DHAVE_GSL=1
+PKG_CFLAGS = -I/usr/local/include -DHAVE_GSL=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME

=== yeti_tiff/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/lib/yorick
Y_EXE=/usr/local/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/lib/yorick
Y_EXE_SITE=/usr/local/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_tiff
PKG_I=yeti_tiff.i

OBJS=yeti_tiff.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -ltiff
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS =  -DHAVE_TIFF=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

## yorick-yeti 6.2.5

=== yeti/Makefile ===
--- 
+++ 
@@ -33,11 +33,11 @@
 #------------------------------------------------------------------------------
 
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 #----------------------------------------------------------- optimization flags

=== yeti_fftw/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # ----------------------------------------------------- optimization flags

=== debian/changelog ===
yorick-yeti (6.2.5-1) unstable; urgency=low

  * New upstream release
  * Some of Yeti is now under CeCILL-C license (LGPL compatible)
  * Convert to "3.0 (quilt)" format
  * Check against policy 3.8.3
  * Run (limited) check suite

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 19 Jan 2010 15:40:26 +0100

yorick-yeti (6.2.3-1) unstable; urgency=low

  * New upstream release
  * Checked against new policy (3.8.1)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 May 2009 11:09:24 +0200

yorick-yeti (6.2.2-2) unstable; urgency=low

  * Bug fix: "yeti FTBFS with dpkg-buildpackage -rsudo", thanks to Steve
    Langasek (Closes: #471655). The "clean" target now restores the
    original permissions of the Makefiles.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 20 Mar 2008 12:52:33 +0100

yorick-yeti (6.2.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 15 Feb 2008 15:19:24 +0100

yorick-yeti (6.2.1-2) unstable; urgency=low

  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/yorick-yeti{|-fftw|-gsl|-regex|-tiff}.ynstall
     * added debian/yorick-yeti{|-fftw|-gsl|-regex|-tiff}.packinfo
     * added debian/yorick-yeti{|-regex|-tiff}.keywords

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 14 Jan 2008 23:24:31 +0100

yorick-yeti (6.2.1-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Nov 2007 14:45:46 +0100

yorick-yeti (6.1.6-1) unstable; urgency=low

  * Initial Release. Closes: #366716

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 29 Nov 2006 19:57:58 +0100

=== debian/control ===
Source: yorick-yeti
Section: math
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
Standards-Version: 3.8.3
DM-Upload-Allowed: yes
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html

Package: yorick-yeti
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: utility plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti package implements:
 .
   * hash table objects
   * wavelet filtering ("a trou" method)
   * fast convolution along a chosen dimension with various border conditions
   * more string functions
   * memory hacking routines
   * more math functions (sinc, round, arc)
   * generalized matrix-vector multiplication (with possibly sparse matrix)
   * routines to query/check Yorick's symbols
   * morpho-math operators
   * ...

Package: yorick-yeti-tiff
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: TIFF image format input for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-tiff package implements support for reading TIFF images.

Package: yorick-yeti-regex
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: POSIX regular expressions for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-regex package implements support for POSIX regular
 expressions.

Package: yorick-yeti-fftw
Architecture: any
Priority: extra
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: FFT plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-fftw package implements complex, real-complex and complex-real
 fast fourier transform using FFTW2 (the Fastest Fourier Transform in the West -
 version 2)

Package: yorick-yeti-gsl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: GSL special functions plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-gsl package gives access to 120 special functions from the
 GNU Scientific Library (GSL).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

Makefile:
	dh_testdir
	cp -a Makefile.in Makefile

orig-stamp:
	dh_testdir
	mkdir -p .deborig
	cp -a yeti_fftw/Makefile  .deborig/yeti_fftw
	cp -a yeti_gsl/Makefile   .deborig/yeti_gsl
	cp -a yeti/Makefile       .deborig/yeti
	cp -a yeti_regex/Makefile .deborig/yeti_regex
	cp -a yeti_tiff/Makefile  .deborig/yeti_tiff
	cp -a doc/Makefile        .deborig/doc
	touch orig-stamp

configure: configure-stamp
#configure-stamp: patch-stamp Makefile.deborig
configure-stamp: orig-stamp Makefile
	dh_testdir
	yorick -batch ./config.i\
	 --with-regex --with-regex-defs='-DHAVE_REGEX=1'\
	 --with-fftw --with-fftw-libs="-lrfftw -lfftw"\
	 --with-tiff --with-tiff-libs="-ltiff"\
	 --with-gsl --with-gsl-libs="-lgsl -lgslcblas" --with-gsl-defs='-I/usr/include/gsl'
	touch configure-stamp

check:
	dh_testdir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif


build: build-stamp

build-stamp: configure-stamp 
	$(MAKE) -C yeti_fftw
	$(MAKE) -C yeti_gsl
	$(MAKE) -C yeti
	$(MAKE) -C yeti_regex
	$(MAKE) -C yeti_tiff
	touch build-stamp

#clean: configure-stamp clean-patched unpatch
clean: configure-stamp clean-patched
clean-patched: Makefile
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f  config.h configure-stamp Makefile
	[ ! -e .deborig/yeti_fftw  ] || mv .deborig/yeti_fftw  yeti_fftw/Makefile 
	[ ! -e .deborig/yeti_gsl   ] || mv .deborig/yeti_gsl   yeti_gsl/Makefile
	[ ! -e .deborig/yeti       ] || mv .deborig/yeti       yeti/Makefile
	[ ! -e .deborig/yeti_regex ] || mv .deborig/yeti_regex yeti_regex/Makefile
	[ ! -e .deborig/yeti_tiff  ] || mv .deborig/yeti_tiff  yeti_tiff/Makefile
	[ ! -e .deborig/doc ] || mv .deborig/doc doc/Makefile
	[ ! -e .deborig ] || rmdir .deborig
	rm -f orig-stamp
	dh_clean  --exclude ./yeti_regex/glibc/regcomp.c.orig --exclude ./yeti_regex/glibc/regexec.c.orig

install-arch: install-check 

install-check:
	dh_testdir
	dh_testroot
	dh_clean -k -s  --exclude ./yeti_regex/glibc/regcomp.c.orig --exclude ./yeti_regex/glibc/regexec.c.orig

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installyorick
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
#binary-indep: build-indep install-indep
# leave this alone, I'll re-introduce *-doc later.
binary-indep:
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

#binary-indep:

# Build architecture dependant packages using the common target.
binary-arch: build check install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure install-check

## yorick-yeti 6.3.1

=== Makefile ===
--- 
+++ 
@@ -5,26 +5,31 @@
 #
 
 # These values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # These values filled in by: ./configure [...]
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
-YETI_VERSION_MINOR = 2
-YETI_VERSION_MICRO = 2
-YETI_VERSION_SUFFIX = "pre1"
+YETI_VERSION_MINOR = 3
+YETI_VERSION_MICRO = 0
+YETI_VERSION_SUFFIX = ""
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
-YORICK_VERSION_MICRO = 4
+YORICK_VERSION_MICRO = 5
 YORICK_VERSION_SUFFIX = "x"
 
 SUBDIRS = $(YETI_PKGS) doc
 
 TMPDIR=/tmp
+
+DISTRIB_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
+DISTRIB_DIRS = doc $(DISTRIB_PKGS)
+DISTRIB_FILES = AUTHORS LICENSE NEWS README VERSION \
+	Makefile Makefile.in config.h.in config.i
 
 default: all
 
@@ -78,13 +83,18 @@
 	  false; \
 	else \
 	  olddir=`pwd`; \
-	  rm -rf "$${tmpdir}"; \
-	  cp -a . "$${tmpdir}"; \
+	  mkdir -p "$${tmpdir}"; \
+	  for file in $(DISTRIB_FILES); do \
+	    cp -a "$${file}" "$${tmpdir}/$${file}"; \
+	  done; \
+	  for dir in $(DISTRIB_DIRS); do \
+	    cp -a "$${dir}" "$${tmpdir}/$${dir}"; \
+	  done; \
 	  cd "$${tmpdir}"; \
-	  test -r config.h || touch config.h; \
-	  make clean YETI_PKGS="yeti yeti_fftw yeti_regex yeti_tiff"; \
+	  touch config.h; \
+	  make clean YETI_PKGS="$(DISTRIB_PKGS)"; \
 	  rm -f config.h; \
-	  rm -rf devel */RCS; \
+	  rm -rf */RCS */*~; \
 	  cd "$(TMPDIR)"; \
 	  tar cf - "$${target}" | bzip2 -9 > "$${archive}"; \
 	  cd "$${olddir}"; \

=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 .SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
 #------------------------------------------------------------------------------
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 DOCDIR=$(Y_EXE_SITE)/doc

=== yeti/Makefile ===
--- 
+++ 
@@ -1,34 +1,42 @@
 #
 # Makefile -
 #
-#	Makefile for Yeti main plugin.
-#
-#------------------------------------------------------------------------------
-#	Copyright (C) 2006, Eric Thibaut.
-#
-#	This file is part of Yeti.
-#
-#	Yeti is free software; you can redistribute it and/or modify it
-#	under the terms of the GNU General Public License version 2 as
-#	published by the Free Software Foundation.
-#
-#	Yeti is distributed in the hope that it will be useful, but
-#	WITHOUT ANY WARRANTY; without even the implied warranty of
-#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-#	General Public License for more details.
-#
-#	You should have received a copy of the GNU General Public License
-#	along with Yeti (file "COPYING" in the top source  directory); if
-#	not, write to the Free Software Foundation, Inc., 51 Franklin St,
-#	Fifth Floor, Boston, MA 02110-1301 USA
+# Makefile for Yeti main plugin.
 #
 #------------------------------------------------------------------------------
 #
-# History:
-#	$Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
-#	$Log: Makefile,v $
-#	Revision 1.1  2006/07/19 14:58:50  eric
-#	Initial revision
+# Copyright (C) 2006-2010, Eric Thiébaut <thiebaut@obs.univ-lyon1.fr>
+#
+# This software is governed by the CeCILL-C license under French law and
+# abiding by the rules of distribution of free software.  You can use, modify
+# and/or redistribute the software under the terms of the CeCILL-C license as
+# circulated by CEA, CNRS and INRIA at the following URL
+# "http://www.cecill.info".
+#
+# As a counterpart to the access to the source code and rights to copy,
+# modify and redistribute granted by the license, users are provided only
+# with a limited warranty and the software's author, the holder of the
+# economic rights, and the successive licensors have only limited liability.
+#
+# In this respect, the user's attention is drawn to the risks associated with
+# loading, using, modifying and/or developing or reproducing the software by
+# the user in light of its specific status of free software, that may mean
+# that it is complicated to manipulate, and that also therefore means that it
+# is reserved for developers and experienced professionals having in-depth
+# computer knowledge. Users are therefore encouraged to load and test the
+# software's suitability as regards their requirements in conditions enabling
+# the security of their systems and/or data to be ensured and, more
+# generally, to use and operate it in the same conditions as regards
+# security.
+#
+# The fact that you are presently reading this means that you have had
+# knowledge of the CeCILL-C license and that you accept its terms.
+#------------------------------------------------------------------------------
+#
+# $Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
+# $Log: Makefile,v $
+# Revision 1.1  2006/07/19 14:58:50  eric
+# Initial revision
 #
 #------------------------------------------------------------------------------
 
@@ -127,4 +135,11 @@
 yeti_utils.o: yeti.h ../config.h
 #yeti_new.o:
 
+#
+# Local Variables:
+# mode: Makefile
+# tab-width: 8
+# fill-column: 78
+# coding: utf-8
+# End:
 #-------------------------------------------------------------- end of Makefile

=== yeti_fftw/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -L/usr/local/lib -lrfftw -lfftw
+PKG_DEPLIBS = -L -lrfftw -lfftw
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS = -I/usr/local/include -DHAVE_FFTW=1
+PKG_CFLAGS = -I -DHAVE_FFTW=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME

=== yeti_gsl/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
+PKG_DEPLIBS = -lgsl -lgslcblas
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS = -I/usr/local/include -DHAVE_GSL=1
+PKG_CFLAGS =  -DHAVE_GSL=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME

=== yeti_regex/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # ----------------------------------------------------- optimization flags

=== yeti_tiff/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # ----------------------------------------------------- optimization flags

=== debian/changelog ===
yorick-yeti (6.3.1-2) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b
    yorick-yeti-6.3.1 gave error exit status 2", thanks to Mònica Ramírez
    Arceda (Closes: #652198).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Dec 2011 22:47:32 +0100

yorick-yeti (6.3.1-1) unstable; urgency=low

  * New upstream release
    + several functions have moved to Yorick >=2.1.06
    + Yeti is now under CeCILL-C license
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 16:07:09 +0200

yorick-yeti (6.2.5-2) unstable; urgency=low

  * Add autoloads.
  * bump policy to 3.8.4
  * move so section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 02 Apr 2010 15:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: yorick-yeti
-Section: math
+Section: science
 Priority: optional
 Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.06), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
+Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html
 
 Package: yorick-yeti
 Architecture: any
-Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
+Depends: yorick (>= 2.1.06), ${shlibs:Depends}, ${misc:Depends}
 Description: utility plugin for the Yorick language
  Yeti is a collection of extension plugins for Yorick (a fast interpreted
  interactive data processing language).

=== debian/rules ===
--- 
+++ 
@@ -30,20 +30,9 @@
 	dh_testdir
 	cp -a Makefile.in Makefile
 
-orig-stamp:
-	dh_testdir
-	mkdir -p .deborig
-	cp -a yeti_fftw/Makefile  .deborig/yeti_fftw
-	cp -a yeti_gsl/Makefile   .deborig/yeti_gsl
-	cp -a yeti/Makefile       .deborig/yeti
-	cp -a yeti_regex/Makefile .deborig/yeti_regex
-	cp -a yeti_tiff/Makefile  .deborig/yeti_tiff
-	cp -a doc/Makefile        .deborig/doc
-	touch orig-stamp
-
 configure: configure-stamp
 #configure-stamp: patch-stamp Makefile.deborig
-configure-stamp: orig-stamp Makefile
+configure-stamp: Makefile
 	dh_testdir
 	yorick -batch ./config.i\
 	 --with-regex --with-regex-defs='-DHAVE_REGEX=1'\
@@ -70,21 +59,12 @@
 	touch build-stamp
 
 #clean: configure-stamp clean-patched unpatch
-clean: configure-stamp clean-patched
-clean-patched: Makefile
+clean: configure-stamp Makefile
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) clean
 	rm -f  config.h configure-stamp Makefile
-	[ ! -e .deborig/yeti_fftw  ] || mv .deborig/yeti_fftw  yeti_fftw/Makefile 
-	[ ! -e .deborig/yeti_gsl   ] || mv .deborig/yeti_gsl   yeti_gsl/Makefile
-	[ ! -e .deborig/yeti       ] || mv .deborig/yeti       yeti/Makefile
-	[ ! -e .deborig/yeti_regex ] || mv .deborig/yeti_regex yeti_regex/Makefile
-	[ ! -e .deborig/yeti_tiff  ] || mv .deborig/yeti_tiff  yeti_tiff/Makefile
-	[ ! -e .deborig/doc ] || mv .deborig/doc doc/Makefile
-	[ ! -e .deborig ] || rmdir .deborig
-	rm -f orig-stamp
 	dh_clean  --exclude ./yeti_regex/glibc/regcomp.c.orig --exclude ./yeti_regex/glibc/regexec.c.orig
 
 install-arch: install-check

## yorick-yeti 6.3.2

=== debian/changelog ===
yorick-yeti (6.3.2-3ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 12:41:59 +0100

yorick-yeti (6.3.2-3) unstable; urgency=low

  * Fortify (don't rely on Yorick to pass the right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:14:31 +0200

yorick-yeti (6.3.2-2) unstable; urgency=low

  * Amend control to abide by Debian Science Policy
  * Convert copyright to machine-readable format
  * Minimize debian/rules

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 23:44:51 +0200

yorick-yeti (6.3.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 18:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: yorick-yeti
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.06), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
-Standards-Version: 3.8.4
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), fftw-dev, libtiff-dev, libgsl0-dev (>= 1.8)
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yeti.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yeti.git
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html
 
 Package: yorick-yeti
@@ -48,7 +52,6 @@
 
 Package: yorick-yeti-fftw
 Architecture: any
-Priority: extra
 Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
 Description: FFT plugin for the Yorick language
  Yeti is a collection of extension plugins for Yorick (a fast interpreted

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

#remove doc from SUBDIRS
override_dh_auto_build:
	$(MAKE) SUBDIRS="yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff" \
	        COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_installyorick

clean:
	dh_testdir
	dh_testroot
	touch config.h
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
ifeq (,$(shell head -1 config.h))
	rm -f config.h
endif
	dh_clean --exclude=./yeti_regex/glibc/regcomp.c.orig \
	         --exclude=./yeti_regex/glibc/regexec.c.orig \
		 yeti/zzyeti_start.i

=== debian/watch ===
version=3
http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti_download.html \
 files/yeti-(.*)\.tar\.bz2
